Bug 92297 - pcmcia restart and netfs restart in wrong order
pcmcia restart and netfs restart in wrong order
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-04 14:03 EDT by Jón Fairbairn
Modified: 2014-03-16 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 17:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2003-06-04 14:03:41 EDT
Description of problem:
If I suspend my laptop, nfs mounts are not restored on resume
because the network is connected via a pcmcia network card
and /etc/sysconfig/apm-scripts/apmscript attempts to start netfs
before pcmcia.

Version-Release number of selected component (if applicable):
3.0.2-18

How reproducible:
100%

Steps to Reproduce:
0. put PCMCIARESTART="yes" and NETFS_RESTART="yes" in
   /etc/sysconfig/apmd
1. put an nfs mount in /etc/fstab
2. mount it
3. apm --suspend
4. resume.  
   
Actual results:

netfs reports no route to host and the nfs mount doesn't happen

Expected results:
the nfs mount mentioned in /etc/fstab should be mounted after 
resume

Additional info:

Changing
        # Restore network and PCMCIA
        [ "$NETFS_RESTART" = "yes" ] && /etc/rc.d/init.d/netfs start
        if [ "$PCMCIARESTART" = "yes" ] ; then
                /sbin/cardctl insert
                /sbin/cardctl resume
        fi

in /etc/sysconfig/apm-scripts/apmscript to

        # Restore network and PCMCIA
        if [ "$PCMCIARESTART" = "yes" ] ; then
                /sbin/cardctl insert
                /sbin/cardctl resume
        fi
        [ "$NETFS_RESTART" = "yes" ] && /etc/rc.d/init.d/netfs start

cures the problem for me. I can't think of a circumstance where this change
would break something (if you have a pcmcia network card it helps, if you don't
it looks harmless), but I don't know enough about apm to be sure
Comment 1 Miloš Komarčević 2004-05-21 07:25:22 EDT
Not just netfs, the whole network needs to be restarted after pcmcia
as well, right now it is before in FC2. I don't have my eth0 after
resume on an IBM TP600E, and I have PCMCIARESTART="yes" and
NET_RESTART="yes" in /etc/sysconfig/apmd

Same goes for init, any reason we can't finally have pcmcia start
before the network by default (which up to now fails unnecessarily and
drops to a detailed view during the nice rhgb screen)?
Comment 2 Bill Nottingham 2005-03-16 17:21:51 EST
Changed in 3.2.2-1

Note You need to log in before you can comment on or make changes to this bug.